Skip to content

List Datasets

API Description

Use this API to query the dataset list in the metrics platform.

API URL

GET Http://{anymetrics_host:anymetrics_port}/anymetrics/api/v1/dataset/list?pageNum=1&pageSize=10&keyword=a

For how to obtain anymetrics_host:anymetrics_port, see Calling APIs.

Common Request Parameters

Parameter Type Required Description
tenant-id String Yes Tenant ID. Identifies the tenant for metric query content.
auth-type String Yes Authentication method. Supported values: UID, TOKEN, ACCOUNT, and APIKEY.
auth-value String Yes Authentication value corresponding to auth-type.

How to Obtain Common Parameters

To obtain tenant-id, select a metrics application in the top navigation bar of Aloudata CAN, choose API Integration from the left navigation menu, and copy it from the API Integration page. Set auth-value according to the selected auth-type.

image.png

Request Parameters

Parameter Type Required Maximum Length Description Example
keyword String No 128 Used for fuzzy search. If omitted, all datasets are queried. datasetName
pageNum Integer Yes Page number, starting from 1. 1
pageSize Integer Yes Number of records per page. 20

Response Parameters

{
    "data":{
        "datasetList":[
            {
                "name":"atomic_metric_1",
                "displayName":"Atomic Metric 1",
                "description":"Atomic Metric 1",
                "owner":{
                    "userId":"341685595052965888",
                    "nickname":"Pangju111"
                },
                "updateTime":1691224314433,
                "createTime":1691030136255
            },
            {
                "name":"ds_check",
                "displayName":"Validation dataset",
                "description":"Validation dataset",
                "owner":{
                    "userId":"341685595052965888",
                    "nickname":"Pangju111"
                },
                "updateTime":1691045190227,
                "createTime":1691034218040
            }
        ],
        "totalPageSize":1,
        "pageNumber":1,
        "pageSize":20
    },
    "success":true,
    "code":null,
    "message":null,
    "traceId":""
}